/**
 * Created by Administrator on 14-4-22.
 */

$(document).ready(function(){
    var getActivityDetailUrl =config.get().API("queryHuodongDetail"),
        replayXHR = $.noop;
    var companent={
        loading: $("#activityDetail > .loading"),
        page:$("#activityDetail"),
        pic:$("#activityPic"),
        merchantId:$("#activityId"),
        praiseButton:$("#activityDetail #actvityOperatePraise"),
        praise:$("#activityPraise")
    };
    CommonMudule.setTimeOut();
    companent.praiseButton.on("click",function(){
        var merchantIdArr=new Array(localStorage.getItem("merchantIdArr"));
        if(!$(this).hasClass("hadPraise")){
            $(this).addClass("hadPraise");
            merchantIdArr.push(companent.merchantId.val());
            localStorage.setItem("merchantIdArr",merchantIdArr);
            CommonMudule.praise(companent.merchantId.val(), $(this).attr("opType"), companent.praise);
        }
    });
    companent.page.on("click", ".loading.retry", function(){
        replayXHR && replayXHR();
        loading(true, companent.loading.data("loading") );
    });
    function resetUIState(){
        var id =sessionStorage.getItem("id"),
            merchantIdArr = localStorage.getItem("merchantIdArr");

        companent.praiseButton.removeClass("hadPraise");
        merchantIdArr && merchantIdArr.indexOf(id)!=-1 ? companent.praiseButton.addClass("hadPraise") : companent.praiseButton.addClass("praise-btn")
    }
    function loading(toggle, html){
        var $loading = companent.loading;
        html && $loading.html( html );
        $loading[ toggle ? "show" : "hide" ]();
    }
    function init(){
        loading(true, companent.loading.data("loading") );

        resetUIState();
        if(!localStorage.getItem("merchantIdArr")){
            localStorage.setItem("merchantIdArr",new Array());
        }
        var id =sessionStorage.getItem("id")?sessionStorage.getItem("id"):CommonMudule.getQueryString("id");

        $.ajax({
            type: "POST",
            data:{id:id,  reqAppId:"23333"},
            dataType: 'json',
            cache:false,
            url: getActivityDetailUrl,
            success: function(data){
                console.info(data);
                if(data.head.rspCode==0){
                    companent.merchantId.val(data.body.shop.id);
                    CommonMudule.showValue(['title','praise','browse','startDate','endDate','pubDate','content','desc'],data.body.shop, companent.page);
                    companent.pic.attr("src",data.body.shop.pic);
                    loading(false);
                }else {

                    loading(true, "服务器错误，" + companent.loading.data("sniffing") );
                }
            },
            error:function(event, jqXHR, ajaxOptions, thrownError){

                loading(true, "网络不给力，"+companent.loading.data("sniffing") );

            },
            complete: function(){

                var ctx = this;
                //允许请求重试一次
                replayXHR = function(){
                    $.ajax(ctx);
                };
            }
        });
    }
    init();
    companent.page.on("pagebeforeshow", function(){
        init();
    });
});

