

define([
    "text!commonTemplate/tips.html"
], function(partial) {
    function evtPreProcess(fn, data) {
        return function(e) {
            fn(e, data);
            this.destroy(data);
            e.stopPropagation();
        };
    }
    var ConfirmView = PAWA.PAWAView.extend({
        tagName: "div",
        _template: _.template(partial),
        events: {

        },
        __logCnf__:{
            moduleName: 'common',
            className: 'ConfirmView'
        },
        init: function() {
            var self = this, options = self.options;
            this.events = {
                "tap #tips-button": evtPreProcess(options.btnCallback, options.data),
                "click input":"hideTips"
            };
            this.delegateEvents();

            this.render();
        },
        render: function() {
            this.$el.html(this._template(this.options));
            wrapView.hideWaiting();
            wrapView.bgLayer.show();

        },
        hideTips:function(){
            wrapView.tipsOpened = false;
            this.$el.hide();
        },
        destroy: function(data) {
            wrapView.tipsOpened = false;
            if(data !== 'noHideBg'){
                wrapView.bgLayer.hide();
            }
            this.undelegateEvents();
            this.remove();
        }
    });
    return ConfirmView;
});
/*
   var opts = _.extend({
                upBtnVal: "选项一",
                btnVal: "选项",
                data: null,
                btnCallback: loop
            }, options);
 */
