
define(["text!commonTpl/waiting.html"], function(options) {
    function evtPreProcess(fn, data) {
        return function(e) {
            fn(e, data);
            this.destroy();
        };
    }
    var waitingView = PAWA.PAWAView.extend({
        _template: _.template(options),
        events: {
        },
        __logCnf__:{
            moduleName: 'common',
            className: 'waitingView'
        },
        init: function(op) {
            var self = this;
            var options = this.options = self.options;
            self.deffaultOpts = {
                data: null,
                info:'努力加载中...'
            };
            this.delegateEvents();
//            this.BodyCover=$('.bg-model');
           /* //一键销毁
            window.confirmView = this;
            $("body").one("tap", function() {
                self.destroy();
            });*/
            wrapView.$el.after(this.el);
            /*this.$el.css({
                position: "absolute",
                zIndex: 65535,
                top: "50%",
                left: "50%",
                marginLeft: "-250px",
                marginTop: "-200px",
                width: "500px",
                height: "400px"
            });*/
            this.render(options);
        },
        render: function(options) {
//            this.BodyCover.before(this.el);
//            this.BodyCover.show();
            this.$el.html(this._template(options));
        },
        show: function(options) {
            this.render(options||this.options);
            this.$el.show();
            wrapView.bgLayer.show();
        },
        hide: function() {
            //this.undelegateEvents();
//            this.BodyCover.hide();
            this.$el.hide();
            wrapView.bgLayer.hide();
            this.options = this.deffaultOpts;
        },
        change: function(options) {
            this.render(options||this.options);
        },
        destroy: function() {
            wrapView.bgLayer.hide();
//            this.BodyCover.hide();
            this.$el.remove();
        }
    });
    return waitingView;
});
