define([
    "text!selfserverTpl/RecommendAppTem.html","native"
], function(recommendAppTem) {
    var recommendAppView = PAWA.PAWAView.extend({
        tagName: "article",
        className: 'selfService',
        _template: _.template(recommendAppTem),
        $el: $(this.tagName),
        events: {
        	"click .btnDownload": "download",
        	"touchstart .btnDownload": "addClassActive",
        	"touchend .btnDownload": "removeClassActive"
        },

        __logCnf__: {
            moduleName: 'selfServer',
            className: 'SelfserverBodyView'
        },

        init: function() {
            this.render();
        },
        render: function() {
            $(this.el).html(this._template(this.model.resultMessage));
        },
        destroy: function() {
            this.remove();
        },
        addClassActive: function(evt){
        	$(evt.currentTarget).addClass("active");
        },
        removeClassActive: function(evt){
        	$(evt.currentTarget).removeClass("active");
        },
        download: function(evt){
        	var url = $(evt.currentTarget).attr("data-url");
        	App.loadUrl(url);
        }
    });
    return recommendAppView;
});