/**
 * Created by Administrator on 14-4-22.
 */

$(document).ready(function(){
    var   getMerchantDetailUrl=config.get().API("queryShopDetail"),
        replayXHR = $.noop,
        hideOtherStore = 0;

    var companent={
        loading: $("#merchantPage > .loading"),
        page:$("#merchantPage"),
        pic:$("#pic"),
        phone:$("#phone"),
        praise:$("#praise"),
        couponDesc:$("#couponDesc"),
        praiseButton:$("#merchantPage #operatePraise"),
        merchantId:$("#merchantId"),
        other:$("#other"),
        addressMap:$("#merchantPage .addressLogo")
    }
    CommonMudule.setTimeOut();
    companent.other.click(function(){
       // window.location.href="otherStore.html";
        sessionStorage.setItem("otherStoreId",companent.merchantId.val());
        $.mobile.changePage("otherStore.html");
    });
    $(".addressClas").bind("click",function(){
        companent.addressMap.trigger("click");
    })
    $("#phone").on("click", function(){
        var tel = $(this).attr("data-tel");
        if(App.IS_ANDROID){
            App.call("makeCall", tel);
        }else if(App.IS_IOS){
            App.call("doCall", tel);
        }

    })
    companent.addressMap.click("click",function(){
          //调用native地图查看方法
        var value=sessionStorage.getItem("latAndLng");
        var arr=[];
        if(value){
            arr=value.split(",");
            var location = bdGPS2gcjGPS(arr[1],arr[0]);
            App.getMapDetail(location.lat,location.lng,$("#address").html());
        }

    });
    companent.praiseButton.on("click",function(){
        var merchantIdArr=new Array(localStorage.getItem("merchantIdArr"));
        if(!$(this).hasClass("hadPraise")){
           $(this).addClass("hadPraise");
            merchantIdArr.push(companent.merchantId.val());
            localStorage.setItem("merchantIdArr",merchantIdArr);
            CommonMudule.praise(companent.merchantId.val(), $(this).attr("opType"), companent.praise);
        }
    });
    companent.page.on("click", ".loading.retry", function(){
        replayXHR && replayXHR();
        loading(true, companent.loading.data("loading") );
    });
    function resetUIState(){
        var id =sessionStorage.getItem("id"),
            merchantIdArr = localStorage.getItem("merchantIdArr");

        companent.praiseButton.removeClass("hadPraise");
        merchantIdArr && merchantIdArr.indexOf(id)!=-1 ? companent.praiseButton.addClass("hadPraise") : companent.praiseButton.addClass("praise-btn")
    }
    function loading(toggle, html){
        var $loading = companent.loading;
        html && $loading.html( html );
        $loading[ toggle ? "show" : "hide" ]();
    }
    function init(){
        loading(true, companent.loading.data("loading") );
        hideOtherStore = parseInt( sessionStorage.getItem("hideOtherStore") );
        resetUIState();
        if(!localStorage.getItem("merchantIdArr")){
            localStorage.setItem("merchantIdArr",new Array());
        }

        var id =sessionStorage.getItem("id");
        console.info("detail=id=="+id);

        $.ajax({
            type: "POST",
            data:{
                reqAppId:"233",
                id:id
            },
            dataType: 'json',
            cache:false,
            url: getMerchantDetailUrl,
            success: function(data){
                console.info("detailINfo=="+data);
                if(data.head.rspCode==0 && data.body.shop){
                    document.title=data.body.shop.favorableType;
                    CommonMudule.showValue(['merchantTitle','browse','praise','price','address'],data.body.shop, companent.page);
                    companent.phone.attr("data-tel", data.body.shop.phone);
                    //companent.phone.html(data.body.shop.phone);
                    companent.couponDesc.text(data.body.coupon.desc);
                    $("#merchantTitle").text(data.body.shop.title);
                    companent.pic.attr("src",data.body.shop.pic);
                    companent.merchantId.val(data.body.shop.id);
                    sessionStorage.setItem("latAndLng",data.body.shop.latAndLng);
                    sessionStorage.setItem("favorableType",data.body.shop.favorableType);
                    sessionStorage.setItem("city",data.body.shop.city);
                    sessionStorage.setItem("id",companent.merchantId.val());
                   /* sessionStorage.setItem("currentPage",1);*/
                    console.debug("hideOtherStore "+ hideOtherStore);
                    ( !hideOtherStore && parseInt(data.body.otherShop)>0) ?companent.other.show():companent.other.hide();
                    loading(false);

                }else {

                    loading(true, "服务器错误，" + companent.loading.data("sniffing") );
                }
            },
            error:function(event, jqXHR, ajaxOptions, thrownError){

                loading(true, "网络不给力，"+companent.loading.data("sniffing") );
            },
            complete: function(){
                var ctx = this;
                //允许请求重试一次
                replayXHR = function(){
                    $.ajax(ctx);
                };
            }
        });
    }

    init();
    companent.page.on("pagebeforeshow", function(e, data){
        data.prevPage.is("#index") && sessionStorage.setItem("hideOtherStore", 0);
        init();
        console.debug(arguments)
    });

});

