/**
 * Created with JetBrains WebStorm.
 * User: EX-YANGKONG001
 * Date: 13-12-25
 * Time: 下午8:34
 * To change this template use File | Settings | File Templates.
 */
define(["text!chexian/carInsuranceReportTpl.html","config"], function(TPL,cfg) {

    var baiduMap,mapLabel=null,centerMarker=null,defaultLon=114.0604636,defaultLat=22.5568245,defaultZoom=18;
    function mapInitialize() {//百度地图加载完成执行的操作
        var divs=$('section.content').children(),marginTop=45,marginBottom=10;
        var newH=document.documentElement.clientHeight-(divs[0].clientHeight+divs[1].clientHeight+marginTop+marginBottom);
        $('#positionimg').css('height',Math.max(newH, 160)+'px');
        $('#positionimg').css('border','1px solid #999999');
        baiduMap = new BMap.Map('positionimg');
        baiduMap.centerAndZoom(new BMap.Point(defaultLon,defaultLat), defaultZoom);
        baiduMap.addControl(new BMap.ZoomControl());


        function centerMarker(){
            var container=baiduMap.getContainer();
            this.defaultAnchor = BMAP_ANCHOR_TOP_LEFT;
            this.defaultOffset = new BMap.Size(container.clientWidth/2-10,container.clientHeight/2-25);
        }
        centerMarker.prototype = new BMap.Control();
        centerMarker.prototype.initialize = function(map){
            var div = document.createElement("div");
            div.style.cursor = "pointer";
            div.style.backgroundColor = "white";
            $(div).css({"background":"url('assets/images/marker_red_sprite.png') no-repeat left top","height":"25px","width":"19px","z-index":"1000"}).attr("id","marker-span");
            map.getContainer().appendChild(div);
            return div;
        }
        var mycenterCtrl = new centerMarker();
        baiduMap.addControl(mycenterCtrl);
        //界面上地图层的绝对中心的点标注

        baiduMap.addEventListener("tilesloaded", function(e) {
            console.log('load over');
        });

        baiduMap.addEventListener("movestart", function(e) {
            if(mapLabel!=null){mapLabel.hide();}
        });
        baiduMap.addEventListener("moveend", function(e) {
            var point = baiduMap.getCenter();//map.pixelToPoint(pixel);
            getAddress(point);
        });

        getAddress(new BMap.Point(defaultLon,defaultLat));
    }
    window.mapInitialize=mapInitialize;
    function getAddress(point){
//        if(centerMarker==null){
//            centerMarker = new BMap.Marker(point);  // 创建标注
//            baiduMap.addOverlay(centerMarker);
//        }
//        else{
//            centerMarker.setPosition(point);
//        }

        //经纬度转街道名称
        var gc = new BMap.Geocoder();
        gc.getLocation(point, function(rs){
            var opts = {
                width : rs.length*15,     // 信息窗口宽度
                height: 20     // 信息窗口高度
            };
            mapLabel = new BMap.InfoWindow(rs.address, opts);
            mapLabel.disableAutoPan();
            mapLabel.disableCloseOnClick();
            baiduMap.openInfoWindow(mapLabel,point); //开启信息窗口
        });
    }
    function loadBaiduMapScript() {
        var script = document.createElement("script");
        script.src = "http://api.map.baidu.com/api?type=quick&v=1.0&ak=0Ab29770346d2827a72bab28ad4cbee8&callback=mapInitialize";
// http://api.map.baidu.com/api?v=1.5&ak=您的密钥&callback=initialize";
// 此为v1.5版本的引用方式,使用胡儒清的ak
        document.body.appendChild(script);
    }


    var postUrlTest='http://epcis-autoclaim-mobile-dmzstg1.pingan.com.cn/mobile/controller/claim2/ReportAction/reportByOneKey.gy',
        postUrl='http://epcis-autoclaim-mobile.pingan.com.cn/mobile/controller/claim2/ReportAction/reportByOneKey.gy',
        postData={
            certificate_no:'',//身份证号
            policy_id:'',//保单号
            car_mark:'',//车牌号
            report_mobile:'13800000000',//报案手机号（必填）
            longitude:'114.1044636',//经度（必填）
            latitude: '22.5670245'//纬度（必填）
}
        ;
    var appConfig=cfg.get();
    var talkingDataName='找平安>车险报案>';
    var cardHeaderView = PAWA.PAWAView.extend({
        tagName: "div",
        _template: _.template(TPL),
        events: {
            //"tap #btn_report":"doReport",
            //"touchstart #spantel":"editTelNum",
            //"touchstart #btn_confirm":"saveTelNum",
            //"touchend #btn_cancel":"cancelInput",
            //"touchstart #clearspan":"clearInput",
            "click a.icontel":"talkDataTel"
        },
        __logCnf__:{
            moduleName: 'cardHeader',
            className: 'cardHeaderView'
        },
        init: function() {
            var UrlParams=PAWA.PAWAModel.shareModels.get('StartOption')||{tel:'0',lon:'0',lat:'0'};

            if(UrlParams.lat!='0'&&UrlParams.lon!='0'){this.CurrentPosition=true;}
            else{this.CurrentPosition=false;}

            this.UrlParams=UrlParams;
            this.render();
            //window.V=this;
            $('body').addClass('content1');

        },
        render: function() {
            this.$el.html(this._template());
            this.Elements={
                bodyMask:this.$el.find('.bodycover'),
                popupDiv:this.$el.find('.popupinput.input'),
                waitDiv:this.$el.find('.popupinput.wait'),
                spantel:this.$el.find('#spantel'),
                inputtel:this.$el.find('#inputtel'),
                clearspan:this.$el.find('#clearspan'),
                positionDiv:this.$el.find('#positionimg')
            }
            var tel=this.UrlParams.tel;
            if(!isNaN(tel-0)&&tel.length>=10){
                this.Elements.spantel.data('tel',tel);
                this.Elements.spantel.html(tel.substr(0,3)+' '+tel.substr(3,4)+' '+tel.substr(7));
            }
//            this.Elements.positionDiv[0].addEventListener('touchend',function(e){
//                e.stopPropagation();e.preventDefault();
//            },true)
            this.getPosition();

            this.$el.find('#btn_report').bind('touchstart', _.bind(this.doReport,this));
            this.Elements.spantel.bind('touchstart', _.bind(this.editTelNum,this));
            this.Elements.clearspan.bind('touchstart', _.bind(this.clearInput,this));
            this.$el.find('#btn_confirm').bind('touchstart', _.bind(this.saveTelNum,this));
            this.$el.find('#btn_cancel').bind('touchend', _.bind(this.cancelInput,this));
            loadBaiduMapScript();
        },
        doReport:function(e){
            App.talkingDataTrack(talkingDataName+'点击报案按钮');
            this.Elements.bodyMask.show();
            this.Elements.popupDiv.show();
            this.editTelNum(e);return true;
            if(this.Elements.spantel.data('tel').length!=11){
                this.editTelNum();
            }else{
                this.Elements.inputtel.val(this.Elements.spantel.data('tel'));
                postData.report_mobile=this.Elements.inputtel.val();
                this.Elements.clearspan.hide();
                this.Editting=false;
            }
        },
        editTelNum:function(e){
            this.Elements.inputtel.val(this.Elements.spantel.data('tel'));
            this.Elements.spantel.hide();
            this.Elements.clearspan.show();
            this.Elements.inputtel.show();
            //this.Elements.inputtel.focus();
            this.Editting=true;
        },
        saveTelNum:function(e){
            e.stopPropagation();
            if(this.Editting==true){
                var telreg=/^\d{11}$/;
                if(!telreg.test(this.Elements.inputtel.val())){
                    App.alert('请输入11位手机号码');return 0;
                }
                var num=this.Elements.inputtel.val();
                this.Editting=false;
//                this.Elements.clearspan.hide();
//                this.Elements.inputtel.hide().blur();
                this.Elements.spantel.data('tel',num);
                postData.report_mobile=num;
//                this.Elements.spantel.html(num.substr(0,3)+' '+num.substr(3,4)+' '+num.substr(7));
//                this.Elements.spantel.show();
//            }else{
//                e.preventDefault();
                if(this.Requesting==true){return 0;}
                var me=this;
                this.Requesting=true;
                var ToUrl=appConfig.section=='product'?postUrl:postUrlTest;
                this.hidewaitDiv();
                this.showWaitWithInfo('正在报案...');
                App.talkingDataTrack(talkingDataName+'提交报案');
                var userPoint=baiduMap.getCenter();
                postData.longitude=userPoint.lng;
                postData.latitude=userPoint.lat;
                $.ajax({
                    type:'GET',
                    dataType:'xml',
                    url:ToUrl,
                    data:postData,
                    success:function(d){
                        console.log(d);me.Requesting=false;
                        me.hidewaitDiv();
                        me.call95511();
                    },
                    error:function(e){
                        me.Requesting=false;
                        me.hidewaitDiv();me.call95511();
                    }
                })
            }
        },
        clearInput:function(e){
            e.preventDefault();e.stopPropagation();
            this.Elements.inputtel.val('');
            this.Elements.inputtel.focus();
        },
        cancelInput:function(e){
            this.Elements.inputtel.blur();
            this.Elements.inputtel.hide();
            this.Elements.spantel.show();
            this.hidewaitDiv();
            App.talkingDataTrack(talkingDataName+'取消报案');
        },
        getPosition:function(){
            this.Elements.waitDiv.show();
            this.Elements.bodyMask.show();
            this.StartTime=Date.now();
            if(this.CurrentPosition){
                //火星经纬转百度经纬
                var x_pi = 3.14159265358979324 * 3000.0 / 180.0;
                var x = this.UrlParams.lon, y = this.UrlParams.lat,
                    z = Math.sqrt(x * x + y * y) + 0.00002 * Math.sin(y * x_pi);
                var theta = Math.atan2(y, x) + 0.000003 * Math.cos(x * x_pi);
                var bd_lon = z * Math.cos(theta) + 0.0065,
                    bd_lat = z * Math.sin(theta) + 0.006;
                this.getPositionOK(bd_lon,bd_lat);
            }
            else{

                this.hidewaitDiv();
                return 0;
                var me=this;
                require([appConfig.service.baiduMap],
                    _.bind(function () {
                        me.TimeOut=false;
                        me.getPosTimeWatcher=setTimeout(function(){
                            me.getPositionError({message:'timeout'})
                        },20000);
                        var geolocation = new BMap.Geolocation();
                        geolocation.getCurrentPosition(function (r) {
                            if (this.getStatus() == BMAP_STATUS_SUCCESS) {  //获取百度地图经纬度
                                me.getPositionOK(r.point.lng,r.point.lat);
                            }
                            else {//获取经纬度错误
                                me.getPositionError();
                            }
                        },function(e){me.getPositionError(e);},{timeout:cfg.positionTimeout})
                    }, this),
                    function(e){//baidu地图api错误
                        me.getPositionError(e);
                    }
                );
            }

        },
        getPositionOK:function(lng,lat){
            defaultLon=lng;defaultLat=lat;defaultZoom=16;
            this.EndTime=Date.now();
            if(this.TimeOut)return 0;
            var me=this;
            clearTimeout(this.getPosTimeWatcher);
            console.log(lng,lat);
            postData.longitude=lng;
            postData.latitude=lat;
            this.hidewaitDiv();
            return 0;
        },
        getPositionError:function(e){
            this.EndTime=Date.now();
            this.TimeOut=true;
            console.log('定位失败');App.alert('定位失败');
            this.hidewaitDiv();
            try{
                this.call95511();
            }catch (e){
                //alert(e.message);
            }
        },
        hidewaitDiv:function(){
            this.Elements.waitDiv.hide();
            this.Elements.popupDiv.hide();
            this.Elements.bodyMask.hide();
        },
        showWaitWithInfo:function(info){
            this.Elements.waitDiv.find('.txtinfo').html(info);
            this.Elements.waitDiv.show();
            this.Elements.bodyMask.show();
        },
        call95511:function(){
            App.makeCall('95511');return true;//修改为native拨号方式
            var ev = document.createEvent('Event');//new Event('click');
            ev.initEvent('click', true, true);
            $('#a95511')[0].dispatchEvent(ev);
        },
        talkDataTel:function(e){
            var tel=e.target.innerHTML;
            App.talkingDataTrack(talkingDataName+'拨打'+tel);
            App.makeCall(tel);
        },
        backapp:function(){
            App.backnative();
        },
        destroy: function() {
            this.remove();
        }
    });
    return cardHeaderView;
});
