/**
 * 定义应用的父控制器
 * 所有的Controller都应该继承MainController, 以便维护公共业务逻辑
 */
define(['PAWAAll', 'commonView/WrapView'], function(PAWA, WrapView) {
    var MainController = PAWA.PAWAController.extend({
    });
	MainController.createWrapView = function(){
		wrapView = new WrapView({
            controller : this
        });
        // 渲染视图
        wrapView.render();
        // 将视图对象放到共享对象中
        PAWA.PAWAView.shareViews.add('wrapView', wrapView);

	};
    return MainController;
});
